Highlighted

My iMac2011 does allow me to install Creative Studio / Lightroom

New Here ,
Mar 30, 2020

Copy link to clipboard

Copied

Please assist,

 

I have an ancient iMac mid-2011 that up until last year, I used for editing in lightroom, after recent upgrades, it does not work.

 

Any workarounds? Can I install older versions? I cant buy a new iMac. Your assistance is much appreciated. 

TOPICS
Activation, Creative Cloud, Installation, New user

Views

83

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

My iMac2011 does allow me to install Creative Studio / Lightroom

New Here ,
Mar 30, 2020

Copy link to clipboard

Copied

Please assist,

 

I have an ancient iMac mid-2011 that up until last year, I used for editing in lightroom, after recent upgrades, it does not work.

 

Any workarounds? Can I install older versions? I cant buy a new iMac. Your assistance is much appreciated. 

TOPICS
Activation, Creative Cloud, Installation, New user

Views

84

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Mar 30, 2020 0
Adobe Community Professional ,
Mar 30, 2020

Copy link to clipboard

Copied

What version of Lightroom do you have?
Version 6 supports macOS 10.13, but older versions Lightroom do not.

https://helpx.adobe.com/lightroom-classic/system-requirements/earlier-versions.html


And for iMac 2011, macOS 10.13 is the last supported OS.
Older versions of Lightroom do not support newer operating systems.
Let's think about renewing the environment at this time.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 30, 2020 1
New Here ,
Mar 31, 2020

Copy link to clipboard

Copied

Hi Assause,

 

I have removed Creative Cloud and tried to reinstall with no luck - currently, I don't have anything installed on the iMac and just use my account on my Macbook.

 

I have MacOS Sierra V10.12.6 currently installed. 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2020 0
assause LATEST
Adobe Community Professional ,
Apr 01, 2020

Copy link to clipboard

Copied

The version provided by Creative Cloud, which can be used with macOS 10.12 is not the latest version but the previous version 8.
Installation is possible using the application submenu of the desktop application.

 

However, since macOS 10.12 is no longer supported by Apple, there is a risk of using it.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 01, 2020 1